From 867c67670b31d0adf4a16711792e2d839eb8ebd7 Mon Sep 17 00:00:00 2001
From: Prateek Sharma <ps.prateek.sharma143@gmail.com>
Date: Sat, 20 Apr 2024 12:13:48 +0530
Subject: [PATCH 2/2] Reformat treesitter query for builtins to not exceed 80
 columns

* etc/NEWS: Remove bugfix news as it's not needed
* lisp/progmodes/python.el (python--treesit-settings): Reformat the treesitter query for font-lock to not exceed 80 columns
---
 etc/NEWS                 | 9 ---------
 lisp/progmodes/python.el | 7 +++++--
 2 files changed, 5 insertions(+), 11 deletions(-)

diff --git a/etc/NEWS b/etc/NEWS
index e5cd70b6106..8ad1e78ca60 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -1319,15 +1319,6 @@ instead of:
 This allows the user to specify command line arguments to the non
 interactive Python interpreter specified by 'python-interpreter'.
 
-*** Treesitter syntax highlighting for built-in functions fixed
-The fix highlights only the correct built-in function calls and
-attributes with font-lock-builtin-face. When some class defines
-a function with the same name as a built-in function, earlier it was
-being highlighted with the same font-lock-builtin-face, which was
-incorrect. Now, normal user defined functions will be highlighted
-with font-lock-function-call-face face and built-in functions and
-attributes will be highlighted with font-lock-builtin-face.
-
 ** Scheme mode
 Scheme mode now handles regular expression literal '#/regexp/' that is
 available in some Scheme implementations.
diff --git a/lisp/progmodes/python.el b/lisp/progmodes/python.el
index 5c67d0765eb..d6c29e5ffc6 100644
--- a/lisp/progmodes/python.el
+++ b/lisp/progmodes/python.el
@@ -1207,10 +1207,13 @@ fontified."
    :feature 'builtin
    :language 'python
    `((call function: (identifier) @font-lock-builtin-face
-           (:match ,(rx-to-string `(seq bol (or ,@python--treesit-builtins) eol))
+           (:match ,(rx-to-string
+                     `(seq bol (or ,@python--treesit-builtins) eol))
                    @font-lock-builtin-face))
      (attribute attribute: (identifier) @font-lock-builtin-face
-                (:match ,(rx-to-string `(seq bol (or ,@python--treesit-special-attributes) eol))
+                (:match ,(rx-to-string
+                          `(seq bol
+                                (or ,@python--treesit-special-attributes) eol))
                         @font-lock-builtin-face)))
 
    :feature 'decorator
-- 
2.39.3 (Apple Git-146)

